## derivations 0.3.20060607

=== Makefile ===
all .DEFAULT : ; cd tex ; $(MAKE) $@
.PHONY       : all
