## derivations 0.51.20080419

=== btool/Makefile ===

prog   := complete-pdf romanize
srcdir := Util Page_no TOC PDF
warn   := -Wall -Wextra -Werror

allobj := $(foreach dir, $(srcdir), \
  $(patsubst %.cc, %.o, \
    $(filter \
      $(patsubst %.h, %.cc, $(wildcard $(dir)/*.h)), \
      $(wildcard $(dir)/*.cc) \
    ) \
  ) \
)

include Makefile-optim
clean := cleanless clean
.PHONY: FORCE all alld allobj $(clean)
all : $(prog)
# The `alld:' target seems even to the Make program itself to make
# nothing, but notice the ifneq below the target.  The include directive
# therein makes the several %.d implicitly.  (The `alld:' maneuver is to
# let "make clean [program]" work as expected.  Observe however that the
# makefile includes the several %.d before it processes any targets,
# even the `clean:' target.  If this is of concern for some
# reason---maybe because one has been monkeying with timestamps---then
# one must give "make clean" and "make [program]" as separate commands.)
alld:
ifneq ($(strip $(filter-out $(clean), $(MAKECMDGOALS))),)
  alld := $(patsubst %.cc, %.d, $(wildcard *.cc))
  include $(alld)
endif
allobj: $(allobj)
$(foreach dir, $(srcdir), $(dir)/%): FORCE; $(MAKE) -C $(@D) $(@F)
%.d: %.cc; g++ -MM $< | sed -e 's/:/ $*.d:/' >$@
%.o:; g++ $(warn) $(optim) -c $< -o $*.o

complete-pdf: complete-pdf.o $(allobj)
	g++ $(warn) $(optim) -lpoppler $^ -o $@

romanize: romanize.o Util/roman_numeral.o
	g++ $(warn) $(optim) $^ -o $@

a.out: test.o $(allobj)
	g++ $(warn) $(optim) -lpoppler $^ -o $@

cleanless:
	$(foreach dir, $(srcdir), $(MAKE) -C $(dir) clean ;)
	rm -fv *.d *.o *.gch a.out
	$(if $(alld), $(MAKE) alld)
clean: cleanless; rm -fv $(prog)
