=== tex/Makefile ===
--- 
+++ 
@@ -72,9 +72,10 @@
 SHELL  := /bin/bash
 
 out    := derivations
+author := Thaddeus H. Black
 class  := book
 
-def    := def.tex
+def    := thb.sty
 main0  := main
 bib    := bib.bib
 tmpl0  := template
@@ -123,11 +124,15 @@
 ch     := $(filter-out $(main) $(def) $(wildcard $(tmpl0)-*.tex), \
   $(wildcard *.tex))
 define gs
+	touch cidfmap ; \
 	gs \
 	  -dSAFER -dNOPAUSE -dBATCH \
 	  -sDEVICE=pdfwrite -dCompatibilityLevel=$(pdflvl) \
 	  -sPAPERSIZE=letter \
 	  -sOutputFile=$@ $<
+endef
+define dvips
+	dvips -t letter -o $@ $<
 endef
 
 .PHONY: all FORCE
@@ -138,8 +143,7 @@
 	mv -v $(main0).dvi $@
 %.dvi      : %.tex $(def)
 	rubber $<
-%.ps       : %.dvi
-	dvips -t letter -o $@ $<
+%.ps       : %.dvi ; $(dvips)
 # See the dvipdf(1), ps2pdfwr(1) and gs(1) manpages for explanation
 # of the following rule.
 %.pdf      : %.ps ; $(gs)
@@ -164,6 +168,9 @@
 	  -e 's/^\($(p1)subsubsection{$(p2){3}{\)\([^{}]*\)\(}{\)\([^{}]*\)\(}}\)[[:space:]]*$$/\1$(l3a)\3\4\5/'
 
 ../btool/complete-pdf ../btool/romanize: FORCE; $(MAKE) -C $(@D) $(@F)
+derivations.ps : derivations.dvi
+	$(dvips)
+	sed -i -e 's/^\(%%Title:\).*$$/\1 $(author)/;T;:1;n;b1' $@
 derivations.pdf: derivations.ps ../btool/complete-pdf
 	$(gs)
 	../btool/fill-toc-ends main.toc main.pgn >pdf-addendum.toc
@@ -179,7 +186,7 @@
 	latex $(main)
 cleanless  :
 	rm -fv *.{cls,dvi,aux,bbl,blg,idx,ilg,ind,log,lof,lot,toc,pgn,bak} \
-	  pdf-addendum
+	  pdf-addendum cidfmap
 clean      : cleanless
 	rm -fv *.{ps,pdf}
