## derivations 0.52.20100310

=== tex/Makefile ===
--- 
+++ 
@@ -150,16 +150,17 @@
 
 # Do you like unreadable sed(1) expressions?  Here are some.  Actually,
 # if you know sed(1) and also understand the escaping role of the dollar
-# sign ($) in make(1), then the expressions are not *quite* as unreadable as
-# they look.  [If you do not, then you might learn when you have some time:
-# sed(1) and make(1) are standard tools worth learning.]  Comments tend to grow
-# outdated, so you might be wary of these words, but at the time of this
-# writing the sole purpose of the sed(1) operation here is to create and modify
-# a local copy of LaTeX's book class, to allow just a tad extra space between
-# the section and subsection numbers and their respective titles in the book's
-# table of contents (the creator of LaTeX, Leslie Lamport, evidently estimated
-# section number 10.10 to be unlikely, but the book Derivations happens to have
-# such sections).
+# sign ($) in make(1), then the expressions are not *quite* as
+# unreadable as they look.  [If you do not, then you might learn when
+# you have some time: sed(1) and make(1) are standard tools worth
+# learning.]  Comments tend to grow outdated, so you might be wary of
+# these words, but at the time of this writing the sole purpose of the
+# sed(1) operation here is to create and modify a local copy of LaTeX's
+# book class, to allow just a tad extra space between the section and
+# subsection numbers and their respective titles in the book's table of
+# contents (the creator of LaTeX, Leslie Lamport, evidently estimated
+# section number 10.10 to be unlikely, but the book Derivations happens
+# to have such sections).
 $(cls)     :
 	sed >$(cls) $(clsdir)/$(cls0) \
           -e 's/^\(\\ProvidesClass{\)$(class)\(}\)[[:space:]]*$$/\1$(out)-$(class)\2/' \
@@ -174,7 +175,7 @@
 derivations.pdf: derivations.ps ../btool/complete-pdf
 	$(gs)
 	../btool/fill-toc-ends main.toc main.pgn >pdf-addendum.toc
-	../btool/complete-pdf $@ $< pdf-addendum.toc >pdf-addendum
+	../btool/complete-pdf $@ $< pdf-addendum.toc >pdf-addendum '$(author)'
 	cat pdf-addendum >>$@
 
 # To "make cleanless" removes the various intermediate TeX working
