=== debian/changelog ===
derivations (0.52.20100310-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to dpkg-source 3.0 (quilt) format.
  * Moved helper development files out of the Debian diff in
    'upstream_helper' patch.
  * Applied patch from Matthias Klose <doko@ubuntu.com> as
    'build_fixes' patch (Closes: #615671):
    + Fix FTBFS with g++-4.5.
    + Fix FTBFS with ld --as-needed.
    + Don't build with -Werror.
  * Added'poppler_api_change' patch to solve a libpoppler API
    change (Closes: #652081).
  * Use 'dh_prep' instead of the deprecated 'dh_clean -k'.
  * Simplified build dependencies, as suggested by Frank Küster (Closes:
    #566340).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 18 Feb 2012 15:52:03 +0100

derivations (0.52.20100310-1) unstable; urgency=low

  * (Yan Morin) Fixed the broken debian/watch (closes: #550795).
    Thanked Mr. Morin for showing the maintainer how to do it.
  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Built for upload to Debian sid.
  * Updated to Debian sid's current Standards-Version: 3.8.4.
    Observed however (for the maintainer's own later reference) that
    stable Debian lenny had as of this date advanced only as far
    as Standards-Version: 3.8.0.
  * In debian/control:
    + (Jonas Smedegaard) Replaced 'gs-gpl' with 'ghostscript' as a
      build-dependency (closes: #539655).  Thanked Mr. Smedegaard
      for explaining clearly and concisely the need to do so.
    + (Michael Bienia) Allowed 'texlive-binaries' as an
      alternative build-dependency to the evidently
      deprecated 'texlive-base-bin' (closes: #566340),
      though retained for the time being the old dependency
      as an option for ease of backporting.  Thanked Mr. Bienia
      for the timely analysis thereto.
    + Per Policy 7.7, as notified by Lintian, moved the 'debhelper'
      dependency from Build-Depends-Indep to Build-Depends.
    + As Debhelper evidently demands, added "Depends: ${misc:Depends}"
      to the binary's control stanza.
    + Reviewed and updated the version-requirements of several
      other dependencies.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 10 Mar 2010 00:00:00 +0000

derivations (0.52.20090107-1) experimental; urgency=low

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 07 Jan 2009 00:00:00 +0000

derivations (0.52.20081219-1) experimental; urgency=low

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Fri, 19 Dec 2008 00:00:00 +0000

derivations (0.52.20081003-1) experimental; urgency=low

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * In helper/Def.pm, incremented $basever to 0.52.
  * Reconfigured debian/rules not to have the build die on C++ compiler
    warnings.

 -- Thaddeus H. Black <thb@debian.org>  Fri, 03 Oct 2008 00:00:00 +0000

derivations (0.51.20080419-2) unstable; urgency=low

  * Rebuilt for upload to Debian sid.
  * Updated for this upload to Standards-Version: 3.7.3.  (Upstream will
    remain at etch's 3.7.2 for the time being.)

 -- Thaddeus H. Black <thb@debian.org>  Sat, 19 Apr 2008 01:00:00 +0000

derivations (0.51.20080419-1) experimental; urgency=low

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 19 Apr 2008 00:00:00 +0000

derivations (0.51.20080324-2) unstable; urgency=low

  * Rebuilt for upload to Debian sid.
  * Updated for this upload to Standards-Version: 3.7.3.  (Upstream will
    remain at etch's 3.7.2 for the time being.)

 -- Thaddeus H. Black <thb@debian.org>  Mon, 24 Mar 2008 01:00:00 +0000

derivations (0.51.20080324-1) experimental; urgency=low

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Elaborated the suggestions in debian/control.
  * Corrected the URL pattern in debian/watch.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 24 Mar 2008 00:00:00 +0000

derivations (0.51.20080307-2) unstable; urgency=low

  * Rebuilt for upload to Debian sid.
  * Removed an unnecessary, malformed groff comment from the man page
    doc/derivations.7.
  * In debian/control, depended only on upstream package versions,
    ceasing to depend on specific Debianization versions.
  * Replaced the debian/watch placeholder with a real watch file.
  * Updated for this upload to Standards-Version: 3.7.3.  (Upstream will
    remain at etch's 3.7.2 for the time being.)

 -- Thaddeus H. Black <thb@debian.org>  Mon, 10 Mar 2008 00:00:00 +0000

derivations (0.51.20080307-1) experimental; urgency=low

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * In helper/Def.pm, incremented $basever to 0.51.
  * Taught helper/ispell-all to spell-check all README files.

 -- Thaddeus H. Black <thb@debian.org>  Fri, 07 Mar 2008 00:00:00 +0000

derivations (0.5.20071222-1) experimental; urgency=low

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Observed that upstream has either incorporated the btool/ patches
    logged in (0.5.20071110-2) and (0.5.20071110-3) below or has
    rendered them unnecessary.
  * Having reviewed the relevant parts of Debian Policy, let the package

