=== debian/control ===
Source: derivations
Section: doc
Priority: optional
Maintainer: Thaddeus H. Black <thb@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: texlive-latex-base, texlive-pstricks, lmodern (>= 1.00), rubber (>= 1.1), ghostscript (>= 8.62), libpoppler-dev (>= 0.8.7)
Standards-Version: 3.8.4

Package: derivations
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: evince | gv | pdf-viewer | postscript-viewer, ghostscript
Description: book: Derivations of Applied Mathematics
 Understandably, program sources rarely derive the mathematical formulas
 they use.  Not wishing to take the formulas on faith, a user might
 nevertheless reasonably wish to see such formulas somewhere derived.
 .
 Derivations of Applied Mathematics is a book which documents and
 derives many of the mathematical formulas and methods implemented in
 free software or used in science and engineering generally.  It
 documents and derives the Taylor series (used to calculate
 trigonometrics), the Newton-Raphson method (used to calculate square
 roots), the Pythagorean theorem (used to calculate distances) and many
 others.
