## derivations 0.53.20120414

=== btool/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 prog   := complete-pdf romanize
 srcdir := Util Page_no TOC PDF
-warn   := -Wall -Wextra -Werror
+warn   := -Wall -Wextra
 
 allobj := $(foreach dir, $(srcdir), \
   $(patsubst %.cc, %.o, \
@@ -13,6 +13,7 @@
 )
 
 include Makefile-optim
+warn  += $(werror)
 clean := cleanless clean
 .PHONY: FORCE all alld allobj $(clean)
 all : $(prog)
