=== tex/Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 bib    := bib.bib
 tmpl0  := template
 
-clsdir := /usr/share/texmf-texlive/tex/latex/base
+clsdir := /usr/share/texlive/texmf-dist/tex/latex/base
 
 # The author cannot say definitively at which PDF level it is best to
 # build the book.  Plainly, the higher the level, the greater the number
