=== debian/changelog ===
derivations (0.53.20120414-2) unstable; urgency=low

  * Thanked Pino Toscano and Michael Gilbert for their helpful NMUs.
  * Filled the gap left by Libpoppler's new unwillingness to find a PDF file's
    last XRef table (closes: #668907). Recognized Salvatore Bonaccorso for
    drawing attention to this bug.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 1 Jun 2015 00:00:00 +0000

derivations (0.53.20120414-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Automatically support poppler api changes (closes: #690161).
    - Thanks to Pino Toscano.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jan 2014 21:58:55 +0000

derivations (0.53.20120414-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch the libpoppler-dev build dependency to libpoppler-private-dev
    (closes: #660986).

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jun 2012 17:50:18 +0200

derivations (0.53.20120414-1) unstable; urgency=low

  * Thanked Marc Dequènes (Duck) for his timely NMU.
  * Preserved Mr. Dequènes' repackaging while updating the book's text
    to that of the most recent upstream version.
  * Updated tex/Makefile to find LaTeX's book class at its new
    location (closes: #666619).  Thanked Lucas Nussbaum for the
    associated bug report.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 14 Apr 2012 00:00:00 +0000
