=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thaddeus H. Black <thb@debian.org>
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: texlive-latex-base, texlive-pstricks, lmodern (>= 1.00), rubber (>= 1.1), ghostscript (>= 8.62), libpoppler-dev (>= 0.8.7)
-Standards-Version: 3.8.4
+Build-Depends-Indep: texlive-latex-base, texlive-pstricks, lmodern (>= 1.00), rubber (>= 1.1), ghostscript (>= 8.62), libpoppler-private-dev (>= 0.8.7), pkg-config
+Standards-Version: 3.9.6
 
 Package: derivations
 Section: doc
