=== debian/watch ===
# Thanks to Yan Morin for correcting this Debian watch file (refer
# to [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550795]).

version=3
http://www.derivations.org/ ./derivations_([^\s_-]+)\.orig\.tar\.gz
