## derivations 0.56.20180123.1

=== Makefile ===
srcdir := btool tex
.PHONY: FORCE all clean
all:
all clean: ; $(foreach dir, $(srcdir), $(MAKE) -C $(dir) $@ ;)
$(foreach dir, $(srcdir), $(dir)/%): FORCE; $(MAKE) -C $(@D) $(@F)
