=== btool/Makefile ===
--- 
+++ 
@@ -33,16 +33,16 @@
 allobj: $(allobj)
 $(foreach dir, $(srcdir), $(dir)/%): FORCE; $(MAKE) -C $(@D) $(@F)
 %.d: %.cc; g++ -MM $< | sed -e 's/:/ $*.d:/' >$@
-%.o:; g++ $(warn) $(optim) -c $< -o $*.o
+%.o: %.cc; g++ $(warn) $(optim) $(CXXFLAGS) -c $< -o $*.o
 
 complete-pdf: complete-pdf.o $(allobj)
-	g++ $(warn) $(optim) -lpoppler $^ -o $@
+	g++ $(warn) $(optim) $^ -lpoppler -o $@
 
 romanize: romanize.o Util/roman_numeral.o
 	g++ $(warn) $(optim) $^ -o $@
 
 a.out: test.o $(allobj)
-	g++ $(warn) $(optim) -lpoppler $^ -o $@
+	g++ $(warn) $(optim) $^ -lpoppler -o $@
 
 cleanless:
 	$(foreach dir, $(srcdir), $(MAKE) -C $(dir) clean ;)
