=== tex/Makefile ===
--- 
+++ 
@@ -164,7 +164,7 @@
 $(cls)     :
 	sed >$(cls) $(clsdir)/$(cls0) \
           -e 's/^\(\\ProvidesClass{\)$(class)\(}\)[[:space:]]*$$/\1$(out)-$(class)\2/' \
-	  -e 's/^\($(p1)section{$(p2){1}{\)\([^{}]*\)\(}{\)\([^{}]*\)\(}}\)[[:space:]]*$$/\1\2\3$(l1b)\5/' \
+	  -e 's/^\($(p1)\(section\|figure\){$(p2){1}{\)\([^{}]*\)\(}{\)\([^{}]*\)\(}}\)[[:space:]]*$$/\1\3\4$(l1b)\6/' \
 	  -e 's/^\($(p1)subsection{$(p2){2}{\)\([^{}]*\)\(}{\)\([^{}]*\)\(}}\)[[:space:]]*$$/\1$(l2a)\3$(l2b)\5/' \
 	  -e 's/^\($(p1)subsubsection{$(p2){3}{\)\([^{}]*\)\(}{\)\([^{}]*\)\(}}\)[[:space:]]*$$/\1$(l3a)\3\4\5/'
