=== debian/changelog ===
derivations (0.56.20180123.1-2) unstable; urgency=low

  * Reconfigured and rebuilt for upload to Debian sid.
  * Conformed to Standards-Version 4.3.0.
  * Conformed btool/ to sid's Poppler, version 0.69 (closes: #884476).
    Required at least this version of Poppler to build.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 05 Jan 2019 01:00:00 +0000

derivations (0.56.20180123.1-1) experimental; urgency=none

  * Updated to the new upstream version.
  * Conformed to Standards-Version 3.9.8.
  * In debian/control, required build dependencies to have advanced at
    least as far as the versions shipped with Debian stretch stable.
    (Reason:  to build the present issue on older Debians has not been
    tried by the package's maintainer.)
  * Noticing that libpoppler-private-dev, version 0.69, breaks the
    build, observing that version 0.48 does not break it, and remaining
    unsure regarding versions between, forbade versions of
    libpoppler-private-dev other than 0.48.  (Buster's derivations
    is to relieve the restriction but the present revision, never
    uploaded to Debian's archive, chiefly targets stretch stable.)
  * De-Quilted the source.  Observed that this does not mean that Quilt
    can no longer be used -- for some future revisions of the package
    are likely to be re-Quilted -- but it does mean that spurious Quilt
    files and directories no longer need to be (and no longer should
    be) left lying about during times at which there are no patches for
    Quilt to manage.
  * Added the script debian/helper/rm-quilt to help with future
    de-Quilting if and as needed.  Added a corresponding paragraph
    to debian/helper/RelSteps.
  * To avoid confusion, emphasized here that the package's Debian
    source format remains 3.0 (quilt) whether or not Quilt has patches
    to manage.  It's just that Quilt's *files* can now be omitted when
    there are no patches.
  * Updated debian/copyright to point the user to the source's
    current location.
  * Advanced to build using Debhelper 10.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 05 Jan 2019 00:00:00 +0000

derivations (0.56.20180123-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Tue, 23 Jan 2018 00:00:00 +0000

derivations (0.55.20180117-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Corrected debian/helper/RelSteps in various minor ways, for example
    to report the new path to the helper scripts and to refer to the new
    package format.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 17 Jan 2018 00:00:00 +0000

derivations (0.55.20170703-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 03 Jul 2017 00:00:00 +0000

derivations (0.55.20170620-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Tue, 20 Jun 2017 00:00:00 +0000

derivations (0.55.20170612-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 12 Jun 2017 00:00:00 +0000

derivations (0.55.20170530-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.

 -- Thaddeus H. Black <thb@debian.org>  Tue, 30 May 2017 00:00:00 +0000

derivations (0.54.20170508-1) experimental; urgency=none

  * Updated to the new upstream version.  Refer to doc/changelog in the
    source or to /usr/share/doc/derivations/changelog.gz in the binary
    for details.
  * Because the .ps format is not much used any more as far as the
    writer knows, excluded the .ps from the binary package.  (Still
    included the .pdf, of course.)
  * In consideration of helpful NMUs, reconfigured some parts of the
    build process for the time being so that they make more sense to
    the package maintainer than to the NMUer.
  * Relocated helper/ as debian/helper.
  * Conformed the Description in debian/control to the new upstream
    version's self-description.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 08 May 2017 00:00:00 +0000
