=== debian/control ===
Source: derivations
Section: doc
Priority: optional
Maintainer: Thaddeus H. Black <thb@debian.org>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: texlive-latex-base (>= 2016), texlive-pstricks (>= 2016), lmodern (>= 2.004), rubber (>= 1.4), ghostscript (>= 9.20~dfsg), libpoppler-private-dev (>= 0.69), pkg-config (>= 0.29)
Standards-Version: 4.3.0

Package: derivations
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: evince | pdf-viewer
Description: book: Derivations of Applied Mathematics
 For various valid reasons, open-source program sources rarely derive
 the mathematical formulas they use.  A user, nevertheless -- not
 wishing to take such formulas on faith -- might wish to see such
 formulas *somewhere* derived.
 .
 Derivations of Applied Mathematics is a book that derives, and
 documents, many of the mathematical formulas and methods open-source
 programs use, and indeed many of the formulas and methods used in
 science and engineering generally.  For example, it derives and
 documents the Taylor series (used to calculate trigonometrics), the
 Newton-Raphson method (used to calculate square roots), the Pythagorean
 theorem (used to calculate distances) and many others.
 .
 The book's format is PDF.
